Ubuntu 10.10 no será compatible con procesadores anteriores al i686

Según leo en WebUpd8.org, la próxima versión de Ubuntu va a estar compilada para procesadores i686 (Pentium Pro, Pentium II y siguientes) por lo que no funcionará con procesadores con arquitecturas anteriores. Tengo la duda sobre si funcionará con los K-6 o no, pues aunque creo que pueden ejecutar todas las instrucciones de los Pentium II, no aparecen en los listados que he visto de procesadores i686 (quizá simplemente porque sean poco conocidos).

Esto traerá mejoras en el desempeño del sistema, pero tiene problemas de compatibilidad que afectarán a ciertos NetBooks, terminales tontos y sistemas de bajo consumo, con procesadores como el Geode LX, que aunque aparecieron bastante más tarde que los Pentium II, sólo son compatibles con i586.

Por mi parte no hay problema, estoy muy agusto con Hardy y me quedaré con esta versión todo lo que pueda. Sin embargo, de cara a probar versiones nuevas tendré que estar más atento al procesador requerido.

Añadido: otro artículo en castellano sobre este tema.

5 Comments »

  1. 1
    Manu Says:

    Como detalle: los K6 son procesadores i686 con todas las de la ley. La diferencia es que algunas instrucciones del conjunto i686 el K6 las interpreta como ‘opcionales’. Y los sistemas compilados con GCC, digamos, “se niegan” a funcionar en estos procesadores bajo el conjunto de instrucciones i686, precisamente por estar así marcadas.

    El detalle importante es que realmente Ubuntu tendría una cuota de mercado ínfima en ese tipo de máquinas, no sé por qué tanto revuelo. Realmente es algo totalmente lógico, puesto que así se quitan el lastre de máquinas que el público ya no usa. La máquina mínima que estoy viendo donde vivo (y es un pueblo que de moderno tiene poco) es un Pentium III de hace 10 años.

    Like

  2. 2
    DaniFP Says:

    Pues vaya pifia la de GCC.

    Sobre el porcentaje de usuarios que dejen de tener soporte, no tengo ni idea de si es mucho o poco, pero ten en cuenta que afecta a muchas máquinas que aún cumplen su función perfectamente. A mi que dejen de soportar esos procesadores no me causa ningún trastorno, pero creo conveniente tomar nota de estas optimizaciones por si me da por probar Ubuntu en equipos que no conozco.

    Saludos y gracias por tu comentario.

    Like

  3. 3
    Manu Says:

    Hombre, teniendo en cuenta que los requisitos mínimos de Ubuntu suelen ser un micro de 400Mhz con 256Mhz de RAM, prácticamente se quedan los sistemas de bajo consumo y el mínimo de Pentium II que sigan en funcionamiento aún. En el caso de máquinas equipadas con el Geode creo que sí que es ‘algo’ de trastorno, puesto que hay máquinas de extremadamente bajo consumo que podrían funcionar bien con Linux.

    Por cierto, acabo de leer… ¿sigues en Hardy? ¿Por alguna razón en especial?

    Like

  4. 4
    DaniFP Says:

    Bueno, en realidad no es Hardy puro, sino Guadalinex 5 – una variante española de Ubuntu que me parece de lo mejor que hay para distros de esdcritorio. Es realmente una ubuntu Hardy con muchas mejoras y no me ha parecido que las versiones siguientes de Ubuntu o sus variantes (Mint, entre otras) aporten algo suficientemente interesante como para molestarme en migrar a una versión más reciente. Es algo que no me gusta nada. Una vez instalada una distribución (y tengo unas cuantas instaladas tanto en equipos físicos como en máquinas virtuales), me suelo dedicar a tunearla, instalar programas nuevos, eliminar un montón de paquetes que no me interesan, etc y una vez estoy satisfecho con el resultado, no suelo cambiarlo en mucho tiempo (cuando me canso de una distro, simplemente me paso a otra).
    Además, no tengo conexión a Internet en casa, con lo que por una parte dificulta la obtención de actualizaciones, pero por otra hace inocuos muchos de los bugs, por lo que no tengo reparo en seguir usando sistemas que ya no están soportados, como Breezy, Knoppix 3.7, FreeBSD 6 y el (casi muerto) Windows 2000.

    PD: volviendo al tema de GuadaLinex, de un momento a otro saldrá una versión basada en Ubuntu 10.04. Quizá entonces decida actualizarme, según lo que aporte frente al Ubuntu oficial.

    Saludos

    Like

  5. 5
    Manu Says:

    Tiene sentido entonces. Era mera extrañeza. Lo curioso es que uses Guadalinex y no la Ubuntu ‘normal’😉

    Yo en lo personal uso Windows 7 habitualmente por culpa de mi iPod, aunque tengo bien instalado un Ubuntu 10.04 bien tuneado y aligerado que va como un demoníaco tiro en mi Pavilion.

    Like


RSS Feed for this entry

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: